Bug 1472817 - execstack not available on EPEL7 for aarch64 and ppc64le
execstack not available on EPEL7 for aarch64 and ppc64le
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: execstack (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 08:58 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2017-08-06 16:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: execstack-0.5.0-11.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-06 16:48:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1460531 None None None 2017-07-19 08:59 EDT

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2017-07-19 08:58:48 EDT
Description of problem:
BuildRequires: /usr/bin/execstack cannot be satisfied when building for EPEL7 on aarch64 and ppc64le.

Version-Release number of selected component (if applicable):
prelink-0.5.0-9.el7

How reproducible:
Always.

Steps to Reproduce:
1. Try building any package with BuildRequires: /usr/bin/execstack on epel7/aarch64 or epel7/ppc64le

Actual results:
DEBUG util.py:439:  Error: No Package found for /usr/bin/execstack

Expected results:
Successful build.
Comment 1 Dominik 'Rathann' Mierzejewski 2017-07-19 08:59:39 EDT
Red Hat maintainer doesn't want to build prelink for these two arches, so a limited-arch EPEL package is required.
Comment 2 Christoph Junghans 2017-07-19 13:00:23 EDT
I requested an epel7 branch for execstack: https://admin.fedoraproject.org/pkgdb/package/requests/12565
Comment 3 Dominik 'Rathann' Mierzejewski 2017-07-20 08:00:23 EDT
I think you were supposed to build this for aarch64 and ppc64le ONLY. It's available on other EPEL7 arches already as part of prelink and you're violating EPEL policy by conflicting with the existing prelink package. Please untag your build as soon as possible.
Comment 4 Dominik 'Rathann' Mierzejewski 2017-07-20 08:02:49 EDT
Ah, sorry, I haven't noticed it was a scratch build from SRPM. Please disregard comment 3.
Comment 5 Christoph Junghans 2017-07-20 11:06:06 EDT
(In reply to Dominik 'Rathann' Mierzejewski from comment #3)
> I think you were supposed to build this for aarch64 and ppc64le ONLY. It's
> available on other EPEL7 arches already as part of prelink and you're
> violating EPEL policy by conflicting with the existing prelink package.
> Please untag your build as soon as possible.
Yeah, it was meant as a test, but thanks for reminding me to set ExclusiveArch.
Comment 6 Fedora Update System 2017-07-20 11:16:12 EDT
execstack-0.5.0-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cb6ae5d6d4
Comment 7 Fedora Update System 2017-07-23 00:22:39 EDT
execstack-0.5.0-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cb6ae5d6d4
Comment 8 Fedora Update System 2017-08-06 16:48:30 EDT
execstack-0.5.0-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.